# IDTindex_s Struct Reference

`#include <lib/rpmcli.h>`

Collaboration diagram for IDTindex_s:

[legend]

## Data Fields

int | delta
int | size
int | alloced
int | nidt
IDT | idt

## Detailed Description

Definition at line 607 of file rpmcli.h.

## Field Documentation

int IDTindex_s::alloced

current number of elements allocated.

Definition at line 610 of file rpmcli.h.

Referenced by IDTXgrow().

int IDTindex_s::delta

no. elements to realloc as a chunk.

Definition at line 608 of file rpmcli.h.

Referenced by IDTXgrow(), and IDTXnew().

IDT IDTindex_s::idt

id index elements.

Definition at line 613 of file rpmcli.h.

Referenced by IDTXfree(), IDTXglob(), IDTXgrow(), IDTXload(), IDTXsort(), rpmRollback(), and rpmts_IDTXglob().

int IDTindex_s::nidt

current number of elements initialized.

Definition at line 611 of file rpmcli.h.

Referenced by IDTXfree(), IDTXglob(), IDTXgrow(), IDTXload(), IDTXsort(), rpmRollback(), and rpmts_IDTXglob().

int IDTindex_s::size

size of id index element.

Definition at line 609 of file rpmcli.h.

Referenced by IDTXgrow(), IDTXnew(), and IDTXsort().

The documentation for this struct was generated from the following file:

- lib/rpmcli.h